Create wallet
Creating a new wallet is only available in Sandbox mode.
POST/v1/wallets
curl -X POST 'https://api.sandbox.minteo.finance/v1/wallets' \-H 'Authorization: Bearer <your-api-key>' \-H 'Content-Type: application/json' \-d '{ "custom_name": "Hosaka Corp Sandbox Wallet", "chain": "POLYGON", "currency_id": "testCOPM", "identifier": "0xacf8D012Fb6245aFD475E3ecae90cFAfC2c601A3"}'RESPONSE
{ "output": { "id": "3b29236a-1c8a-4c71-9ff4-41f62dd0504f", "chain": "POLYGON", "currency_id": "testCOPM", "custom_name": "Hosaka Corp Main Wallet", "identifier": "0xacf8D012Fb6245aFD475E3ecae90cFAfC2c601A3", "created_at": "2024-02-22T21:42:43.056Z", "updated_at": "2024-02-22T21:42:43.056Z" }, "code": "CREATED"}Endpoint
POST
/v1/walletsScope
wallets:create
Request
Request Body
custom_namestringA custom name for the new wallet.
chainPOLYGON | CELO | SOLANAThe corresponding blockchain of the wallet.
currency_idtestCOPMThe stablecoin token the wallet will be used for.
identifierstringThe wallet address.